#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>

#include <OneWire.h>
#include <DallasTemperature.h>

// Data wire is plugged into pin 2 on the Arduino
#define ONE_WIRE_BUS 2

// Setup a oneWire instance to communicate with any OneWire devices
OneWire oneWire(ONE_WIRE_BUS);
// Pass our oneWire reference to Dallas Temperature.
DallasTemperature sensors(&oneWire);

// pin 7 - Serial clock out (SCLK)
// pin 6 - Serial data out (DIN)
// pin 5 - Data/Command select (D/C)
// pin 4 - LCD chip select (CS)
// pin 3 - LCD reset (RST)

Adafruit_PCD8544 display = Adafruit_PCD8544(7, 6, 5, 4, 3);

void setup()   {
  Serial.begin(9600);
  display.begin(); // esegue inizializzazione
  display.setContrast(50); //Regolazione contrasto
  display.clearDisplay(); // clears the screen and buffer
  sensors.begin(); // IC Default 9 bit.

  // text display tests
  display.setTextSize(1);
  display.setTextColor(WHITE, BLACK); // Inverte il test
  display.setCursor(20, 0);
  display.print("ADRIROBOT");
  display.setTextColor(BLACK);
  display.setCursor(0, 10);
  display.print("Termometro con");
  display.setCursor(15, 20);
  display.print("NOKIA 5110");
  display.display();
  delay (3000);
}

void loop() {
  display.clearDisplay(); // clears the screen and buffer
  display.setTextSize(2);
  display.setCursor(0, 0);
  sensors.requestTemperatures(); // Invia il comando per leggere la temperatura
  display.print(sensors.getTempCByIndex(0));
  display.print(" C");
  display.display();
}
